org.apache.commons.compress.harmony.unpack200

## Class NewAttributeBands.UnionCase

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.NewAttributeBands.UnionCase

- Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.UnionCase
      extends Object

  A Union case

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionCase(List<Integer> tags)`
    `UnionCase(List<Integer> tags, List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToAttribute(int index, NewAttribute attribute)`
    `List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement>` | `getBody()`
    `boolean` | `hasTag(int i)`
    `boolean` | `hasTag(long l)`
    `void` | `readBands(InputStream in, int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionCase

          public UnionCase(List<Integer> tags)

    - #### UnionCase

          public UnionCase(List<Integer> tags,
                           List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)

  - ### Method Detail

    - #### addToAttribute

          public void addToAttribute(int index,
                                     NewAttribute attribute)

    - #### getBody

          public List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> getBody()

    - #### hasTag

          public boolean hasTag(int i)

    - #### hasTag

          public boolean hasTag(long l)

    - #### readBands

          public void readBands(InputStream in,
                                int count)
                         throws IOException,
                                Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.